<?php
declare(strict_types=1);

namespace App\Controller;

use App\Forms\UploadFileForm;
use App\Objects\UploadedFileData;
use App\Service\FileSystemService;
use Symfony\Bundle\FrameworkBundle\Controller\AbstractController;
use Symfony\Component\HttpFoundation\Request;
use Symfony\Component\HttpFoundation\Response;
use Symfony\Component\Routing\Attribute\Route;

class UploadController extends AbstractController
{
    #[Route(path: '/upload', name: 'app_upload', methods: Request::METHOD_POST)]
    public function __invoke(
        FileSystemService $fileSystemService,
        Request $request,
    ): Response
    {
        $fileData = new UploadedFileData();
        $form  = $this->createForm(UploadFileForm::class, $fileData)->handleRequest($request);

        if ($form->isSubmitted() && $form->isValid()) {
            $fileSystemService->uploadFile($fileData->files);
        }

        return $this->redirectToRoute('app_home');
    }
}